V1
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects/idsforsitestudyversion
Lists all subjects for sites that you have access to and that have a study version.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Query Parameters
-
siteId: string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
BBAADD11223345566777889900CCDDEE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object SubjectNumberDto
Subject number mapping with state, ID, site, version and study linkage.
Nested Schema : SubjectNumberDto
Type:
objectSubject number mapping with state, ID, site, version and study linkage.
Show Source
-
id: string
Subject unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
A1B2C3D4E5F60718273645AABBCCDDEE -
objectVersionNumber: integer
(int32)
Audit trail field that represents the version number of the data.Example:
3 -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0002
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object